import pytest

import symuid

import datetime as dt
import pytz


@pytest.mark.parametrize(('ts', 'expected_dt'), [
    (1528795204, dt.datetime(2018, 6, 12, 9, 20, 4, tzinfo=dt.timezone.utc)),
])
def test__timestamp_to_utc_dt(ts, expected_dt):
    assert expected_dt == symuid._timestamp_to_utc_dt(ts)


def test__utc_dt_now():
    dt = symuid._utc_dt_now()
    pytz_dt = dt.now(pytz.timezone('UTC'))
    assert abs((dt - pytz_dt).total_seconds()) < 5
